Subject: Re: bug#46202: 28.0.50; project-find-file performance degrades significantly with ede-enable-generic-projects

From: Pankaj Jangid <[email-masked]>
Date: Mon, 01 Feb 2021 21:56:43 +0530

Dmitry Gutov <[email-masked]> writes:

>> With following lines in init, the performance of project-find-file
>> (C-x
>> p f) degrades significantly:
>> (eval-and-compile (require 'ede))
>> (global-ede-mode +1)
>> (ede-enable-generic-projects)
>> If I comment ‘(ede-enable-generic-projects)’ then it is back to
>> normal.
>
> Adding a basic project backend for EDE seems to have been a bet with
> little payout (nobody who knows anything about EDE is improving it).
>
> Could you explain how you using EDE and the benefit you get from
> calling (ede-enable-generic-projects)?

I was just following the video tutorial from Anand Tamariya for
configuring Emacs for Java coding. It suggested EDE. Earlier, when I
read about EDE, it was mostly related to C/C++ files. So I didn’t touch
at that time.

But now when I enabled generic projects, it affected my other
workflow. So I disabled it again. I am happy with just the project.el.

> Would anybody miss EDE <-> project.el integration, do you think?
>
> We could remove it or, I suppose, deprioritize over the VC-based backend.

Yes. I think EDE should be disabled/ deprioritized in favour of
project.el.

> For a workaround, try:
>
>   (with-eval-after-load 'ede
>     (remove-hook 'project-find-functions #'project-try-ede))
>

This workaround did not work.